%global		__requires_exclude pear\\((require_once|include|include_once|require|PHPUnit/Framework).php\\)
%define		_class		PHP
%define		_subclass	DocBlockGenerator
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.1.2
Release:	%mkrel 12
Summary:	DocBlock Generator
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/PHP_Parser/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear-Console_Getopt
Requires:	php-pear-PHP_CompatInfo
Requires:	php-pear >= 1.4.0
BuildArch:	noarch


%description
Creates the file Page block and the DocBlocks for includes, global
variables, functions, parameters, classes, constants, properties and
methods.
Accepts parameters to set the category name, the package name, the author's
name and email, the license, the package link, etc...
Attempts to guess variable and parameters types.
Aligns the DocBlock tags.
Tags are not updated or added to existing DocBlocks but only realigned.
The package can be run by: calling the "PHP_DocBlockGenerator" class, or by
running the "docblockgen" DOS/Unix command.
Fully tested with phpUnit. Code coverage test close to 100%.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHP_DocBlockGenerator.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHP_DocBlockGenerator.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/PHP_DocBlockGenerator
fi

%files
%doc docs/PHP_DocBlockGenerator/*
%{peardir}/*
%{_bindir}/docblockgen
%{xmldir}/PHP_DocBlockGenerator.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.1.2-12.mga8
+ Revision: 1499145
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1.2-11.mga7
+ Revision: 1273764
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.1.2-10.mga6
+ Revision: 949958
- Mageia 6 Mass Rebuild

* Mon Oct 20 2014 tv <tv> 1.1.2-9.mga5
+ Revision: 792073
- add excludes (and simplify)

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-8.mga5
+ Revision: 749624
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.1.2-7.mga5
+ Revision: 734159
- rebuild for pear deps

* Fri Sep 26 2014 tv <tv> 1.1.2-6.mga5
+ Revision: 725198
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-5.mga5
+ Revision: 687426
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-4.mga4
+ Revision: 531998
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 spuhler <spuhler> 1.1.2-3.mga4
+ Revision: 466500
-added more %%define _requires_exceptions
 * can be removed after upstream fixes it. They havn't even assignedbug #19984

* Wed Aug 14 2013 spuhler <spuhler> 1.1.2-2.mga4
+ Revision: 466496
-added %%define _requires_exceptions pear(require_once.php)
 * can be removed after upstream fixes it.

* Mon Jun 17 2013 spuhler <spuhler> 1.1.2-1.mga4
+ Revision: 444190
- imported package php-pear-PHP_DocBlockGenerator

